ACN::RLP::TCP::transport Struct Reference

3. More...

`#include <tcp.h>`

Inheritance diagram for ACN::RLP::TCP::transport:
[legend]

## Public Member Functions

| transport (bool filled=false)
| transport::transport More...
size_t | streamSize () const override
| streamSize More...
void | iStream (PDU::Stream) override
| transport::iStream More...
void | oStream (PDU::Stream) const override
| transport::oStream More...

## Public Attributes

uint8_t | acn_id [12]
| 3.1 Packet Identifier
uint32_t | length
| 3.2 PDU Block Size
PDU::Block< RLP::Pdu > | root
| root PDU block

## Detailed Description

3.

Frame Preamble Format

## Constructor & Destructor Documentation

## transport()

ACN::RLP::TCP::transport::transport | ( | bool | filled = `false` | ) |

transport::transport

Parameters

  filled |

## Member Function Documentation

## iStream()

void ACN::RLP::TCP::transport::iStream | ( | PDU::Stream | stream | ) |

overridevirtual

transport::iStream

Parameters

  stream |

1. Preamble Format: The ACN Packet Identifier shall be the text string “ASC-E1.17\0\0\0” encoded in [ASCII].

Implements ACN::PDU::pdu_stream_object.

## oStream()

void ACN::RLP::TCP::transport::oStream | ( | PDU::Stream | stream | ) | const

overridevirtual

transport::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t ACN::RLP::TCP::transport::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rlp/tcp.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rlp/tcp.cpp